InvoicesRename invoice attachment

Rename invoice attachment

PATCH/partners/invoices/{uuid}/attachments/{attachmentUuid}

Changes the display title of one invoice attachment.

HMAC signature + Bearer access token
Try this request

Path parameters

uuiduuidrequired

The invoice, estimate or credit memo UUID.

attachmentUuiduuidrequired

The attachment UUID from List invoice attachments.

Request body

titlestringrequired

The new display title.

Responses

200Attachment renamed.
400Missing title.
404Invoice or attachment not found.
401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot
403The credential does not have access to this workspace or resource. Troubleshoot
429Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. Troubleshoot
PATCHhttps://api.getcount.com/partners/invoices/{uuid}/attachments/{attachmentUuid}
Request
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'PATCH';
const signingPath = '/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
  "title": "Signed contract"
};
const bodyString = JSON.stringify(body);

const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    'Content-Type': 'application/json',
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
  body: bodyString,
});

console.log(await response.json());
Response · 200
{
  "status": "success",
  "message": "Success on updating attachment",
  "data": {
    "updatedAttachment": {
      "id": "d7e8f9a0-b1c2-4d3e-8f4a-5b6c7d8e9f01",
      "title": "Signed contract",
      "documentUrl": "https://countstorage.blob.core.windows.net/invoice-attachments/1042/Signed%20contract.pdf?sv=2024-11-04&se=2026-03-02T12%3A15%3A00Z&sr=b&sp=r&sig=REDACTED",
      "isTeamDefault": false,
      "edited": true,
      "isDeleted": false,
      "createdAt": "2026-03-01T09:00:00.000Z",
      "updatedAt": "2026-03-02T11:15:00.000Z"
    }
  }
}